#!/usr/bin/env python
#
# Time Drive 0.2.0 - based on duplicity - Encrypted bandwidth efficient 
# backup. Requires Duplicity Version 0.6.04 released August 01, 2009
#
# Copyright 2009 Rob Oakes <LyX-Devel@oak-tree>

import sys, os, getopt
from distutils.core import setup, Extension

data_files = [('share/pixmaps', 
				['timedrive/Resources/Time-Drive-Matte.png',]),]

setup(name="time-drive",
      version="0.2.2",
      description="Linux Backup, Done Right",
      author="Rob Oakes	<LyX-Devel@oak-tree>",
      author_email="LyX-Devel@oak-tree",
      maintainer="Philippe Delodder <lodder@delodder.be>",
      maintainer_email="lodder@delodder.be",
      url="http://www.oak-tree.us/blog/index.php/science-and-technology/time-drive",
      packages = ['timedrive',
			'timedrive.utils',
		   	'timedrive.background',
			'timedrive.backupsettings'],
      package_dir = {"timedrive" : "timedrive",
			"time-drive.utils" : "timedrive/utils",
			"timedrive.background" : "timedrive/background",
			"timedrive.backupsettings" : "timedrive/backupsettings"},
	  scripts = ['time-drive', 'timedrive-backup'],
	  data_files = data_files,
	install_requires = {'duplicity':  ["duplicity>=0.6.04"]},
      )
