from PyQt4 import QtCore
import backgroundtask
from timedrive.utils import duplicity_interface

class TestConnectionUrl(backgroundtask.BackgroundTask):
	"""Class to check a connection url.  Provides feedback to the user whether
	the connection is valid or not."""
	
	def __init__(self, parent = None):
		super(TestConnectionUrl, self).__init__(parent)
		self.exiting = False
		self.archive_url = None
		self.S3_LoginInfo = None
		self.result = None
	
	def __del__(self):
		self.exiting = True
		self.wait()
	
	def TestUrl(self, archiveUrl, S3_LoginInfo = None):
		self.archive_url = archiveUrl
		self.mode = 'Normal'
		self.S3_LoginInfo = S3_LoginInfo
		self.start()
	
	def TestAdvancedUrl(self, archiveUrl, S3_LoginInfo = None):
		self.archive_url = archiveUrl
		self.S3_LoginInfo = S3_LoginInfo
		self.mode = 'Advanced'
		self.start()
	
	def run(self):
		"""Tests the archive_url to see if it is valid."""
		S3_AccessId = None
		S3_SecretKey = None
		S3_BucketType = None
		
		if self.S3_LoginInfo != None:
			S3_AccessId, S3_SecretKey = self.S3_LoginInfo.split()
		
		tstResult = duplicity_interface.test_connection_url(self.archive_url,
			S3_AccessId, S3_SecretKey)
		
		if self.mode == 'Normal':
			self.emit(QtCore.SIGNAL("output(bool)"), tstResult)
		elif self.mode == 'Advanced':
			self.emit(QtCore.SIGNAL("output_advanced(bool)"), tstResult)


